edu.isi.pegasus.planner.client

## Class SCClient

- java.lang.Object
- - edu.isi.pegasus.planner.client.Executable
  - - edu.isi.pegasus.planner.client.SCClient

    public class SCClient
    extends Executable

A client to convert site catalog between different formats.

Version:
  $Revision$
Author:
  Karan Vahi, Gaurang Mehta gmehta@isi.edu

### Field Summary

Fields
`private java.util.List<java.lang.String>` `mInputFiles` The input files.
`private java.lang.String` `mInputFormat` The input format for the site catalog.
`private int` `mLoggingLevel` Denotes the logging level that is to be used for logging the messages.
`private java.lang.String` `mOutputFile` The output file that is written out.
`private java.lang.String` `mOutputFormat` The output format for the site catalog.
`private static java.lang.String` `XML_NAMESPACE`
`private static java.lang.String` `XML_VERSION`

### Fields inherited from class edu.isi.pegasus.planner.client.Executable

`mLogger, mLogMsg, mProps, mVersion`

### Constructor Summary

Constructors
Constructor and Description
`SCClient()` The default constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `decrementLogging()` Decrements the logging level by 1.
`void` `executeCommand()` Call the correct commands depending on options.
`gnu.getopt.LongOpt[]` `generateValidOptions()` Generates an array of valid `LongOpt` objects which contain all the valid options to the Executable.
`int` `getLoggingLevel()` Returns the logging level.
`PoolConfig` `getTextToPoolConfig(java.lang.String file)` Generates the old site catalog object reading in from text file.
`void` `incrementLogging()` Increments the logging level by 1.
`void` `initialize(java.lang.String[] opts)` Initialize the executable object
`void` `loadProperties()` Loads all the properties that would be needed by the Toolkit classes
`static void` `main(java.lang.String[] args)`
`java.lang.String` `parseInputFiles(java.util.List<java.lang.String> inputFiles, java.lang.String inputFormat, java.lang.String outputFormat)` Parses the input files in the input format and returns a String in the output format.
`void` `printLongVersion()` This method is used to print the long version of the command.
`void` `printShortVersion()` Returns the short help.
`protected void` `setupLogging()` Sets up the logging options for this class.
`void` `toFile(java.lang.String filename, java.lang.String output)` Writes out to a file, a string.
`java.lang.String` `toMultiLine(PoolConfig cfg)` Returns the String description of the contents of `PoolConfig` object passed.
`java.lang.String` `toXML(PoolConfig cfg)` Returns the XML description of the contents of `PoolConfig` object passed, conforming to pool config schema found at http://pegasus.isi.edu/schema/sc-2.0.xsd.

### Methods inherited from class edu.isi.pegasus.planner.client.Executable

`convertException, convertException, getCommandLineOptions, getEnvValue, getGVDSVersion, initialize, log, lookupConfProperty, sanityCheckOnProperties, setupLogging`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XML_NAMESPACE

    private static final java.lang.String XML_NAMESPACE

See Also:
  Constant Field Values

#### XML_VERSION

    private static final java.lang.String XML_VERSION

See Also:
  Constant Field Values

#### mInputFiles

    private java.util.List<java.lang.String> mInputFiles

The input files.

#### mOutputFile

    private java.lang.String mOutputFile

The output file that is written out.

#### mOutputFormat

    private java.lang.String mOutputFormat

The output format for the site catalog.

#### mInputFormat

    private java.lang.String mInputFormat

The input format for the site catalog.

#### mLoggingLevel

    private int mLoggingLevel

Denotes the logging level that is to be used for logging the messages.

### Constructor Detail

#### SCClient

    public SCClient()

The default constructor.

### Method Detail

#### initialize

    public void initialize(java.lang.String[] opts)

Description copied from class: `Executable`
Initialize the executable object

Overrides:
  `initialize` in class `Executable`
Parameters:
  `opts` - the command line argument passed to the executable

#### setupLogging

    protected void setupLogging()

Sets up the logging options for this class. Looking at the properties file, sets up the appropriate writers for output and stderr.

#### loadProperties

    public void loadProperties()

Loads all the properties that would be needed by the Toolkit classes

Specified by:
  `loadProperties` in class `Executable`

#### generateValidOptions

    public gnu.getopt.LongOpt[] generateValidOptions()

Description copied from class: `Executable`
Generates an array of valid `LongOpt` objects which contain all the valid options to the Executable.

Specified by:
  `generateValidOptions` in class `Executable`

#### executeCommand

    public void executeCommand()
                        throws java.io.IOException

Call the correct commands depending on options.

Parameters:
  `opts` - Command options
Throws:
  `java.io.IOException`

#### incrementLogging

    public void incrementLogging()

Increments the logging level by 1.

#### decrementLogging

    public void decrementLogging()

Decrements the logging level by 1.

#### getLoggingLevel

    public int getLoggingLevel()

Returns the logging level.

Returns:
  the logging level.

#### parseInputFiles

    public java.lang.String parseInputFiles(java.util.List<java.lang.String> inputFiles,
                                            java.lang.String inputFormat,
                                            java.lang.String outputFormat)
                                     throws java.io.IOException

Parses the input files in the input format and returns a String in the output format.

Parameters:
  `inputFiles` - list of input files that need to be converted
  `inputFormat` - input format of the input files
  `outputFormat` - output format of the output file
Returns:
  String in output format
Throws:
  `java.io.IOException`

#### printShortVersion

    public void printShortVersion()

Returns the short help.

Specified by:
  `printShortVersion` in class `Executable`

#### printLongVersion

    public void printLongVersion()

Description copied from class: `Executable`
This method is used to print the long version of the command.

Specified by:
  `printLongVersion` in class `Executable`

#### getTextToPoolConfig

    public PoolConfig getTextToPoolConfig(java.lang.String file)

Generates the old site catalog object reading in from text file.

Parameters:
  `file` - text file to parse.
Returns:
  PoolConfig

#### toXML

    public java.lang.String toXML(PoolConfig cfg)

Returns the XML description of the contents of `PoolConfig` object passed, conforming to pool config schema found at http://pegasus.isi.edu/schema/sc-2.0.xsd.

Parameters:
  `cfg` - the `PoolConfig` object whose xml description is desired.
Returns:
  the xml description.

#### toMultiLine

    public java.lang.String toMultiLine(PoolConfig cfg)

Returns the String description of the contents of `PoolConfig` object passed.

Parameters:
  `cfg` - the `PoolConfig` object whose description is desired.
Returns:
  the String description.

#### toFile

    public void toFile(java.lang.String filename,
                       java.lang.String output)
                throws java.io.IOException

Writes out to a file, a string.

Parameters:
  `filename` - the fully qualified path name to the file.
  `output` - the text that needs to be written to the file.
Throws:
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`